IPConfig Manager Help

IPConfig Manager - Version 1.0

Graphical IP Configuration management utility for Windows 2000/XP/Vista

This program was designed to help you manage your IP configuration information using a graphical interface in Windows. Some features may or may not be available depending on your version of Windows and the privileges that you have to execute applications. For more information, please read below.

NOTE : For Windows Vista users, the User Account Control (UAC) functionality limits what this application can do. You are allowed to turn off the UAC feature in Windows Vista by going to the Control Panel, entering the 'User Accounts' area, then clicking on 'Turn User Account Control on or off'. You will be required to reboot your computer after you make this change. PLEASE NOTE THAT DOING THIS WILL REDUCE THE SECURITY ON YOUR WINDOWS VISTA MACHINE. However, doing this will also allow this application to run properly.

For problems or questions with this program, please email the following address : tksherrer@iname.com

Main Application Window

You will see the features in the main application window that include your enabled network adapters and the information for each of these. By clicking on each adapter, the individual adapter information will be displayed at the bottom of the application. On the 'General Information' tab is information about DNS, Host Name, WINS Node Type, Domain Name, and other computer specific items.

Here is a quick summary of the button features :

  • Release/Renew Buttons - These buttons will release and renew an IP Address for a specified network adapter. If the specified network adapter has a statically assigned IP Address, then these buttons will be disabled. These buttons should work for Windows 2000/XP without any OS modification. For Windows Vista users, these buttons are affected by the User Account Control (UAC) feature which limits privileges to allow the program to perform these actions. See the note above for help with this.
  • Release All/Renew All Buttons - These buttons will release and renew all IP Addresses for all network adapters that are allowed to do so (ie. do not have statically assigned IP Addresses). These buttons will be disabled in Windows Vista because you must specify a network adapter in the newest version of ipconfig.exe.
  • Display DNS - This button will open a separate window showing the computer's saved DNS information. This includes information in the DNS cache as well as in the Windows HOSTS file.
  • Flush DNS - This button will flush the DNS cache for the current Windows session. However, DNS information in the Windows HOSTS file will still be shown.
  • Show Class ID - This button will open a separate window showing the Class ID of the specified adapter.
  • Compartments - This button will open a separate window showing all of the compartment information on a Windows Vista machine. I'm still not sure what this is for, but it works!
  • Refresh Data - This button will reload all of the adapter information. For example, if the program is running and you manually release an IP Address, you will need to click 'Refresh Data' to update the IP information.
  • - These buttons are located next to the IP Address, Default Gateway, and DHCP Server fields. If an adapter has more than one of these values stored, click the button next to the field to display a list of all addresses found. These buttons will be disabled unless there are multiple instances of addresses, as shown below.

Information Display Window

As shown above, this window is used to display any list information that can be obtained from ipconfig.exe. DNS, Class ID, and Compartment information can be shown. Clicking 'Copy to Clipboard' will copy this information so that you can paste it into a standard text editor such as Microsoft Word or Notepad.

WINS Node Types

Below are the different types of nodes available for the WINS information service in Windows. Your specific node setup will be displayed on the 'General Information' tab of the program. These types are assigned by Windows.

  • Broadcast Node - 0x1
  • Peer Node - 0x2
  • Mixed Node - 0x4
  • Hybrid Node - 0x8

Network Connection Types

Below are the different network connection types available for your network adapters. Your specific network connection type will be displayed for each network adapter in the 'Type' field. These types are assigned by Windows.

  • Other (1)
  • Ethernet (6) - LAN/WLAN - Used for ethernet connections via a wired (RJ-45) or wireless interface
  • Token Ring (9)
  • FDDI - 15
  • PPP (23) - VPN/Dial-Up - Used for external connections via telephone line (RJ-11) or VPN via dial-up or through an ethernet connection
  • Loopback (24)
  • SLIP (28)